Subject: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Samuel Thibault <[email-masked]>
Date: Wed, 23 Jul 2025 13:03:00 +0200

Eli Zaretskii, le mer. 23 juil. 2025 13:55:06 +0300, a ecrit:
> > Eli Zaretskii, le mar. 22 juil. 2025 16:24:47 +0300, a ecrit:
> > > > From: Samuel Thibault <[email-masked]>
> > > > Eli Zaretskii, le mar. 22 juil. 2025 15:03:52 +0300, a ecrit:
> > > > > Of course, specially-tailored cases could be concocted which show the
> > > > > contrary, but that's not what this code is about.  The request in this
> > > > > bug report, AFAIU, was to disable the use of TABs _in_all_cases_,
> > > > 
> > > > No.
> > > > 
> > > > “
> > > > Quoting Samuel: "Emacs, instead of sending a rightward cursor movement
> > > > (\e[C), sends \009\008 (a tabulation and a leftward cursor movement)"
> > > > 
> > > > This char insertion problem confuses assistive technologies for the
> > > > visually impaired.
> > > > ”
> > > 
> > > We are mis-communicating.  When I said "in all cases", I meant even
> > > when TABs do not cause any problems and/or when screen-reading
> > > software is not used at all.
> > 
> > But we were talking about my benchmark moving only by one character
> > (where the optimization loses) vs moving by 8 characters (where it
> > most probably wins since that's 8 interpretations and 8 bytes vs 1
> > interpretation and 1 byte).
> > 
> > The discussion was not about it being a default for everybody or not.
> 
> Correct me if I'm wrong, but there was a request to disable sending
> \t\b sequence on all the terminals,

There was, but not in that part of the conversation: "specially-tailored
cases could be concocted" was about the performance question. The "in
all cases" could refer to "by default" or to "for all tabs or just for
\t\b". I really only talk about the latter, and the performance figures
I showed was about that. Which then argues for making it a default,
since it'll benefit everybody! Instead of trying to find a way to change
the default depending a screen reader is there or not, which, really, is
not going to happen in a robust way.

> > > > I don't remember really asking for more than that.
> > > 
> > > A reminder from https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78474#77
> > 
> > Yes, and I do agree with really asking for that one: we don't want to
> > put the burden of configuration on people who already have a hard time
> > using computers.
> 
> So we agree: disabling \t\b "in all cases" is what is being discussed.

Yes.

Samuel